Bug 845669 - System does not boot to login screen
System does not boot to login screen
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-03 15:53 EDT by alberth289346
Modified: 2013-08-01 09:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:42:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log of the failed boot attempt (90.97 KB, text/plain)
2012-08-03 15:53 EDT, alberth289346
no flags Details

  None (edit)
Description alberth289346 2012-08-03 15:53:22 EDT
Created attachment 602179 [details]
log of the failed boot attempt

Description of problem:
After the kernel upgrade to 3.5.0 yesterday, the system fails to boot to the login screen. Rebooting and trying again also fails. The previous kernel 3.4.6 does work.

Attached the /var/log/messages fragment of the first 3.5.0 boot. The last lines are the 2nd attempt.

At the end there is a log entry of an abrt dump getting created. Loading that core dump (hopefully) into gdb gives the following results
(BTW: debuginfos packages work very nicely here!!)

# pwd
/var/spool/abrt/ccpp-2012-08-03-19:36:36-916
# gdb /usr/bin/Xorg
GNU gdb (GDB) Fedora (7.4.50.20120120-49.fc17)
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/Xorg...Reading symbols from /usr/lib/debug/usr/bin/Xorg.debug...done.
done.
(gdb) core coredump
[New LWP 916]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Core was generated by `/usr/bin/Xorg :0 -background none -logverbose 7 -auth /var/run/gdm/auth-for-gdm'.
Program terminated with signal 6, Aborted.
#0  0x000000373ea35925 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64        return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
(gdb) bt
#0  0x000000373ea35925 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x000000373ea370d8 in __GI_abort () at abort.c:91
#2  0x000000000046c64e in OsAbort () at utils.c:1207
#3  0x0000000000482b2c in ddxGiveUp (error=EXIT_ERR_ABORT) at xf86Init.c:1008
#4  0x0000000000468cd2 in AbortServer () at log.c:476
#5  0x0000000000468ed5 in FatalError (f=f@entry=0x572a18 "Caught signal %d (%s). Server aborting\n") at log.c:611
#6  0x000000000046a0be in OsSigHandler (sip=<optimized out>, signo=11, unused=<optimized out>) at osinit.c:146
#7  OsSigHandler (signo=11, sip=<optimized out>, unused=<optimized out>) at osinit.c:107
#8  <signal handler called>
#9  0x00007f235e85192c in memcpy (__len=11059200, __src=0x0, __dest=0x7f2357186010) at /usr/include/bits/string3.h:52
#10 nouveau_exa_download_from_screen (pspix=pspix@entry=0x23c13c0, x=0, y=0, w=1920, h=1440, dst=0x7f2357186010 "", dst_pitch=7680) at nouveau_exa.c:193
#11 0x00007f235d7c5a7b in exaCopyDirty (migrate=migrate@entry=0x7fff50fc17b0, pValidDst=0x23c1450, pValidSrc=0x23c1460, 
    transfer=0x7f235e851580 <nouveau_exa_download_from_screen>, fallback_index=fallback_index@entry=1, sync=0x7f235d7c46e0 <exaWaitSync>) at exa_migration_classic.c:220
#12 0x00007f235d7c5dc4 in exaCopyDirtyToSys (migrate=migrate@entry=0x7fff50fc17b0) at exa_migration_classic.c:285
#13 0x00007f235d7c806a in exaPrepareAccessReg_mixed (pPixmap=0x23c13c0, index=<optimized out>, pReg=0x0) at exa_migration_mixed.c:254
#14 0x00007f235d7c5021 in exaChangeWindowAttributes (pWin=0x21d4070, mask=1) at exa.c:645
#15 0x00000000004c988f in compChangeWindowAttributes (pWin=0x21d4070, mask=1) at compinit.c:116
#16 0x000000000045ff29 in ChangeWindowAttributes (pWin=0x21d4070, vmask=1, vlist=vlist@entry=0x7f235912b01c, client=client@entry=0x23be8a0) at window.c:1458
#17 0x000000000042e95d in ProcChangeWindowAttributes (client=0x23be8a0) at dispatch.c:676
#18 0x000000000043444a in Dispatch () at dispatch.c:428
#19 0x0000000000423485 in main (argc=13, argv=0x7fff50fc1b48, envp=<optimized out>) at main.c:288

This is more than what the stacktrace in that saved dump gives me (that one ends at #7, it seems):
# cat core_backtrace 
f69712fe393313f44607679e934bf5a67f39ec50 0x35925 raise libc.so.6 -
f69712fe393313f44607679e934bf5a67f39ec50 0x370d8 abort libc.so.6 -
59d79f5efd38cd9fac07f69defc833288d88d9ef 0x6c64e OsAbort [exe] -
59d79f5efd38cd9fac07f69defc833288d88d9ef 0x82b2c ddxGiveUp [exe] -
59d79f5efd38cd9fac07f69defc833288d88d9ef 0x68cd2 - [exe] -
59d79f5efd38cd9fac07f69defc833288d88d9ef 0x68ed5 FatalError [exe] -
59d79f5efd38cd9fac07f69defc833288d88d9ef 0x6a0be - [exe] -
Comment 1 alberth289346 2013-02-23 11:34:29 EST
F18 seems to work fine again.
Comment 2 Fedora End Of Life 2013-07-04 00:28:52 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 09:42:50 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.